Name:          rome
Version:       0.9
Release:       %mkrel 1
Summary:       RSS and Atom Utilities
Group:         Development/Java
License:       ASL 2.0
Url:           http://java.net/projects/rome/
# svn export https://svn.java.net/svn/rome~svn/tags/v-0-9/www/dist/rome-0.9-src.zip
Source0:       rome-%{version}-src.zip
# wget http://download.eclipse.org/tools/orbit/downloads/drops/R20090825191606/bundles/com.sun.syndication_0.9.0.v200803061811.jar
# unzip com.sun.syndication_0.9.0.v200803061811.jar META-INF/MANIFEST.MF
# cd  META-INF && sed -i 's/\r//' MANIFEST.MF && sed -i -e "/^Name/d" -e "/^SHA/d" -e "/^\ ass$/d" -e "/^$/d" MANIFEST.MF
# mv MANIFEST.MF ../rome-0.9-OSGi-MANIFEST.MF
Source1:       rome-%{version}-OSGi-MANIFEST.MF
#Source2:       http://repo1.maven.org/maven2/rome/rome/%{version}/rome-%{version}.pom
# changed artifactId surefire in maven-surefire-plugin
Source2:       rome-0.9-modified.pom
Patch0:        rome-0.9-add_OSGi_MANIFEST.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: jdom
BuildRequires: junit

Requires:      jdom
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
ROME is an set of open source Java tools for parsing, generating and
publishing RSS and Atom feeds.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n rome-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

for v in $(find . -name "CVS"); do
  rm -rf $v
done

mkdir -p target/lib
ln -s $(build-classpath jdom) target/lib/jdom-1.0.jar
cp -p %{SOURCE1} MANIFEST.MF
%patch0

%build
export CLASSPATH=$(build-classpath jdom junit):target/classes:target/test-classes
ant -Dnoget=true dist
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Nov 05 2011 gil <gil> 0.9-1.mga2
+ Revision: 163034
- edit description
- edit maven2 poms
- imported package rome

